<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <title>Add new book</title>
  <link rel="stylesheet" href="/public/styles/main.css">
</head>
<body>
<header>
  <nav>
    <ul>
      <li><a href="/books.html">Books</a></li>
      <li><a href="/new-book.html">Add new book</a></li>
    </ul>
  </nav>
  <div id="logo"><a href="/">Logo</a></div>
</header>
<main>
  <div class="main-container">
    <h1>Add new book</h1>
    <form id="add-new-book">
      <div>
        <label for="book-name">
          Enter book name
        </label>
        <input type="text" maxlength="20" minlength="3" name="name" id="book-name" required>
      </div>
      <div>
        <label for="book-pages">
          Enter book pages
        </label>
        <input type="number" min="1" max="10000" step="1" name="pages" id="book-pages" required>
      </div>
      <button type="submit">Add book</button>
    </form>
  </div>
</main>
<script>
  const form = document.getElementById('add-new-book')
  form.addEventListener('submit', (e) => {
    e.preventDefault()

    const formData = new FormData(e.target);
    const { name, pages } = Object.fromEntries(formData);

    const data = {
      name,
      pages: Number.parseInt(pages),
    }

    fetch('/api/book', {
      method: 'POST',
      headers: {
        'Content-Type': 'application/json',
      },
      body: JSON.stringify(data),
    })
      .then((data) => data.json())
      .then(
        ({ message }) => alert(message || 'Network Error!'),
        () => alert('Error!')
      )
  })
</script>
</body>
</html>